<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$dtFec=date("Y-m-d");
$nAnio=date("Y");
$nMes=date("m");

$empCod = $_SESSION['empCod'];
$empNom = $_SESSION['empNom'];
$empNit = $_SESSION['empNit'];

# QUERYS
$sBancos = "SELECT *, 
              TRIM(ban_nom) as ban_nom,
              TRIM(ban_ctab) as ban_ctab,
              TRIM(ban_ctac) as ban_ctac
            FROM bancos WHERE ban_emp='$empCod'";

# EJECUCION DE QUERYS
$db = new dbExec();
$select["bancos"] = $db->query($sBancos);
?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-invoice"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Cheques</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="pills-1-tab" data-toggle="pill" href="#pills-1" role="tab" aria-controls="pills-1" aria-selected="true">Buscar Planillas</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="pills-2-tab" data-toggle="pill" href="#pills-2" role="tab" aria-controls="pills-2" aria-selected="true">Buscar Empleados</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">

                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-row">
                    <div class="col-md-10">
                      <div class="form-group">
                        <div class="form-row">
                          <div class="col-2.5">
                              <label class="font-size-sm" for="numNum">Número de Planilla</label>
                              <input type="number" class="form-control form-control-sm form-control-as" id="numNum" placeholder="0">
                          </div>
                          <div class="col-3">
                              <label class="font-size-sm" for="dtDel">Periodo del:</label>
                              <input type="date" class="form-control form-control-sm form-control-as" id="dtDel" placeholder="" disabled>
                          </div>
                          <div class="col-3">
                              <label class="font-size-sm" for="dtAl">Al</label>
                              <input type="date" class="form-control form-control-sm form-control-as" id="dtAl" maxlength="20" disabled>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-md-2">
                            <label class="font-size-sm text-success" for="numCoddm">Código Empleado</label>
                            <input type="number" class="form-control form-control-sm form-control-as" id="numCoddm" placeholder="0">
                          </div>
                          <div class="col-sm-9 col-md-8">
                            <label class="font-size-sm text-success" for="txtNomdm">Nombre del Empleado:</label>
                            <input type="text" class="form-control form-control-sm form-control-as" id="txtNomdm" maxlength="120" disabled>
                          </div>
                        </div>
                      <div class="form-row">
                          <div class="col-md-6">
                            <label class="font-size-sm text-success" for="selBan">Cuenta para Generar Cheques</label>
                            <select class="form-control form-control-sm form-control-as" name="selBan" id="selBan">
                              <?php
                                while ($rec = $db->fetchAssoc($select['bancos'])) {
                                  echo  '<option value="'.$rec['ban_num'].'" data-ctab="'.$rec['ban_ctab'].'" data-ctac="'.$rec['ban_ctac'].'" data-forma="'.$rec['ban_forma'].'">'.utf8_encode($rec['ban_nom']).'</option>';
                                }
                              ?>
                            </select>
                          </div>
                          <div class="col-3">
                              <label class="font-size-sm" for="dtFec">Fecha de Emision:</label>
                              <input type="date" class="form-control form-control-sm form-control-as" id="dtFec">
                          </div>
                        </div>
                        <div class="form-row">
                        </div>
                      </div>

                      <h3 class="text-light"></h3>
                      <h3 class="text-light"></h3>
                      <div class="form-group">
                        <div class="form-row">
                        </div>
                      </div>
                    </div>

                    <div class="col-md-2">
                      <div class="form-group position-fixed-md">
                        <div class="form-row">
                          <div class="col-12 mt-2">
                            <button class="btn btn-outline-success btn-block" id="btnImprimir" type="button">Generar Cheques</button>
                          </div>
                          <div class="col-3 col-md-12"></div>
                        </div>
                        <div class="form-row">
                          <div class="col-12 mt-2">
                            <button class="btn btn-outline-info btn-block" id="btnReImprimir" type="button">Reimprimir Listado</button>
                          </div>
                          <div class="col-3 col-md-12"></div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
              <div class="tab-pane fade" id="pills-1" role="tabpanel" aria-labelledby="pills-1-tab">
                <?php
                  $a='0';
                  $b='1';
                  include('../busPlani/index.html');
                ?>
              </div>
              <div class="tab-pane fade" id="pills-2" role="tabpanel" aria-labelledby="pills-2-tab">
                <?php
                  $a='0';
                  $b='2';
                  include('../busEmpleado/index.html');
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var nuevoArtic = true;
  var mesCerrado = false;
  var inputCtaMov = "txtCta";
  var totant = 0;
  var inputPlani = "numNum";
  var tblNomperAnt;
  var btnAddEdit = "00";
  var inputArtic = "txtCodd";
  var inputEmple = "txtCoddm";
  var unimed = "XXX";
  var ctaInc = false;
  
  const numNum = document.thisform.numNum;
  const dtDel = document.thisform.dtDel;
  const dtAl = document.thisform.dtAl;
  const dtFec = document.thisform.dtFec;
  const txtCoddm = document.thisform.txtCoddm;
  const txtNomdm = document.thisform.txtNomdm;


  function restriccion(consultar = false){
    if (!consultar) {
      if (isNullPer(numNum.value)  || numNum.value == 0) {
        numNum.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el NO. DE PLANILLA"}});
        return true;
      }
    } else {
      if (isNullPer(numNum.value)) {
        numNum.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el NO. DE PLANILLA"}});
        return true;
      }
    }
    return false;
  }

  function restriccionCamposVacios() {
    if (isNullPer(numNum.value)) {
      numNum.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el NO. DE PLANILLA"}});
      return true;
    }
    return false;
  }


  function consultarPla(){
    if (restriccion(true)) {return};
    
    if (!isNullPer(numNum.value)) {
      const parametros = new FormData();
      parametros.append("action", "consultarPla");

      parametros.append("numNum", numNum.value);

      //txtNext.focus()

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        success: function (jsonPhp) {
          //console.log(jsonPhp);
          const jsonJS = JSON.parse(jsonPhp);
          tblNomperAnt = JSON.stringify(jsonJS.nomper);

          if(jsonJS.error == true){
            alError(jsonJS);
          } else {
            if (isNullPer(jsonJS.nomper)) {
              numNum.focus();
              alWarning({"msg":{"title":"PLANILLA NO REGISTRADA","text":"Esta Planilla no ha sido registrada, revise."}});
              return true;
            } else {
            jsonJS.nomper.forEach(function(i){
               dtDel.value= i.np_fini;
               dtAl.value= i.np_ffin;
            });  
            nuevo = false;
          }
        }
      }
    });
    }      
  }

  function consultarNp(){
   
    if (isNullPer(numCoddm.value)) {
      numCoddm.value=0;
      txtNomdm.value="TODOS LOS EMPLEADOS INCLUIDOS EN ESTA PLANILLA";
    } else {
      const parametros = new FormData();
      parametros.append("action", "consultarNp");

      parametros.append("numNum", numNum.value);
      parametros.append("numCod", numCoddm.value);

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        success: function (jsonPhp) {
          //console.log(jsonPhp);
          const jsonJS = JSON.parse(jsonPhp);

          if(jsonJS.error == true){
            alError(jsonJS);
          } else {
            if (isNullPer(jsonJS.nomper)) {
              //numCoddm.focus();
              alWarning({"msg":{"title":"EMPLEADO NO REGISTRADO EN ESTA PLANILLA","text":"Este Codigo de empleado, no ha sido registrado en esta planilla, revise."}});
              return true;
            } else {
              txtNomdm.value = jsonJS.nomper.mae_nom+" "+jsonJS.nomper.mae_ape;
            }
          }
        }
      });
    } 
  }  


  function limpiar(){
    dtAl.value= '<?php echo $dtFec; ?>';
    dtDel.value= '<?php echo $dtFec; ?>';
    dtFec.value = '<?php echo $dtFec; ?>';
    numCoddm.value = "";
    txtNomdm.value = "";
  }



  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    //document.thisform.dtFec.value = '<?php echo $dtFec; ?>';
    //document.thisform.dtFvalida.value = '<?php echo $dtFec; ?>';
    numNum.value="";
    dtDel.value = dateToday();
    dtAl.value = dateToday();
    dtFec.value = dateToday();

    // SHOW MODAL
    $('#modalNomper').on('shown.bs.modal', function() {
      if (!isMobile()) {
        $(this).find('input:visible:first').focus();
      }
    });

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // FOCUS NUMERO PLANILLA
    $("#numNum").focus(function() {
      numNum.value="";
      limpiar();
    })
    .keypress(function(e) {
      const keycode = e.keyCode || e.which;
      if (keycode == '13') {pressEnter = true;}
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-1-tab").click(); }
    })
    .change(function (){
      consultarPla();
    });

    // VALID NUMERO
    $("#numCoddm")
    .focus(function (){
      inputEmple = $(this).attr('id');
      numCoddm.value = "";
      txtNomdm.value = "";
    })
    .keypress(function(e) {
      const keycode = e.keyCode || e.which;
      if (keycode == '13') {pressEnter = true;}
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-2-tab").click(); }
    })    
    .change(function (){
      consultarNp();
    });

  });

    // FOCUS ORDEN DE COMPRA
  //  $("#numOrdenc").change(function (){
  //    consultarOrden();
  //  });



    // CLICK REIMPRIMIR
    $("#btnReImprimir").click(function (){
      if (restriccion(true)) {return};

      const getnumNum = "?numNum="+numNum.value;
      const getdtDel = "&dtDel="+dtDel.value;      
      const getdtAl = "&dtAl="+dtAl.value;      
      const getdtFec = "&dtFec="+dtFec.value;      
      const getnumCoddm = "&numCoddm="+numCoddm.value;   
      const getselBan = "&selBan="+selBan.value;
      const getBannom = "&Bannom="+$('#selBan').find('option:selected').data('ban_nom');
      const getBanctab = "&Banctab="+$('#selBan').find('option:selected').data('ctab');
      const getBanctac = "&Banctac="+$('#selBan').find('option:selected').data('ctac');

      var url = window.location.origin+window.location.pathname+"reprint.php"+getnumNum+getdtDel+getdtAl+getdtFec+getnumCoddm+getselBan+getBannom+getBanctab+getBanctac;

      window.open(url, '_blank');

    });


    // CLICK IMPRIMIR
    $("#btnImprimir").click(function (){
      if (restriccion(true)) {return};

      const getnumNum = "?numNum="+numNum.value;
      const getdtDel = "&dtDel="+dtDel.value;      
      const getdtAl = "&dtAl="+dtAl.value;      
      const getdtFec = "&dtFec="+dtFec.value;      
      const getnumCoddm = "&numCoddm="+numCoddm.value;   
      const getselBan = "&selBan="+selBan.value;
      const getBannom = "&Bannom="+$('#selBan').find('option:selected').data('ban_nom');
      const getBanctab = "&Banctab="+$('#selBan').find('option:selected').data('ctab');
      const getBanctac = "&Banctac="+$('#selBan').find('option:selected').data('ctac');

      var url = window.location.origin+window.location.pathname+"print.php"+getnumNum+getdtDel+getdtAl+getdtFec+getnumCoddm+getselBan+getBannom+getBanctab+getBanctac;

      window.open(url, '_blank');

      numNum.focus();

    });


  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if (target != "#pills-0") {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-1") ? numCoddm.focus() : 0;
        (relatedTarget == "#pills-2") ? selBan.focus() : 0;
      }
      //$(target+' input:visible:first').focus();
    }
  });

</script>

